/*
	공간에 존재하는 물체

*/

#ifndef cExistent_H
#define cExistent_H

template <class cSpace>
class cExistent{
protected:
	cSpace *pSpace;

public:
	cExistent();
	~cExistent();

	cSpace *SetSpace(cSpace *_pSpace);
	cSpace *GetSpace(){ return pSpace; }


};

#endif
